{% extends 'base.html.twig' %}

{% block body %}
	{{ include('flash/message.html.twig') }}
	<h1>Usuarios</h1>

	<div class="col-12">
		<a class="btn btn-prymary float-right" href="{{ path('user_register')}}">
			<i class="fas fa-user"></i>
			Crear nuevo usuario
		</a>
	</div>

	<table class="table table-hover table-grid">
		<thead>
			<tr>
				<th>Id</th>
				<th>Usuario</th>
				<th>Email</th>
				<th>Último login</th>
				<th>Rol</th>
			</tr>
		</thead>
		<tbody>
			{% for user in usuarios %}
				<tr>
					<td>
						<a href="{{ path('usuarios_show', { 'id': user.id }) }}">{{ user.id }}</a>
					</td>
					<td>{{ user.username }}</td>
					<td>
						{{ user.email }}
					</td>
					<td>{{user.lastLogin and user.id > 1 ? user.lastLogin|date('Y-m-d H:i:s') : ''}}</td>
          <td>{% if user.roles is iterable %}
            {% for item in user.roles %}
              {{ item|join(', ') }}
            {% endfor %}
           {% endif %}
         </td>
					<td>
						<a href="{{ path('usuarios_show', { 'id': user.id }) }}">
							<i class="glyphicon glyphicon-zoom-in"></i>
						</a>

					</td>
				</tr>
			{% endfor %}
		</tbody>
	</table>

{% endblock %}
